Bug 234758 - [PATCH] devel/radare2: upgrade to 3.2.0, fix misbuilt script
Summary: [PATCH] devel/radare2: upgrade to 3.2.0, fix misbuilt script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 17:16 UTC by Maciej Pasternacki
Modified: 2019-01-10 19:34 UTC (History)
2 users (show)

See Also:
mizhka: maintainer-feedback+


Attachments
radare2-3.2.0.patch (1.62 KB, text/plain)
2019-01-08 17:16 UTC, Maciej Pasternacki
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pasternacki 2019-01-08 17:16:59 UTC
Created attachment 200921 [details]
radare2-3.2.0.patch

Upgraded to newest version. Fixed build issue where a script was generated from all files in the directory, including Makefile.bak left there by pathfix.
Comment 1 Michael Zhilin 2019-01-09 08:51:47 UTC
Hi,

Thank you for patch!!!

Generally speaking I'm totally fine with patch. To avoid creating backup file, we can use ${SED} -i'' instead of ${REINPLACE_CMD}.

So it's up to port committer what is the best way to handle it (post-patch or SED). I have no preference. 

@Ports committers,

Please have a look on ticket. 

Thank!
Comment 2 Kurt Jaeger freebsd_committer 2019-01-10 19:33:30 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2019-01-10 19:34:06 UTC
A commit references this bug:

Author: pi
Date: Thu Jan 10 19:33:22 UTC 2019
New revision: 489890
URL: https://svnweb.freebsd.org/changeset/ports/489890

Log:
  devel/radare2: update 3.1.0 -> 3.2.0

  PR:		234758
  Submitted by:	Maciej Pasternacki <maciej@pasternacki.net>
  Approved by:	Michael Zhilin <mizhka@gmail.com> (maintainer)
  Relnotes:	https://github.com/radare/radare2/releases/tag/3.2.0

Changes:
  head/devel/radare2/Makefile
  head/devel/radare2/distinfo
  head/devel/radare2/pkg-plist